質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.02%
LINE Messaging API

LINE Messaging APIは、メッセージの送信・返信ができるAPIです。Web APIを経由しアプリケーションサーバとLINEのAPIでやり取りが可能。複数のメッセージタイプや分かりやすいAPIリファレンスを持ち、グループチャットにも対応しています。

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Git

Gitはオープンソースの分散バージョン管理システム(DVCS)です。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

Q&A

受付中

DjangoでLINEBOTを作っているがサーバーにエラーが出てしまう

chan-s
chan-s

総合スコア0

LINE Messaging API

LINE Messaging APIは、メッセージの送信・返信ができるAPIです。Web APIを経由しアプリケーションサーバとLINEのAPIでやり取りが可能。複数のメッセージタイプや分かりやすいAPIリファレンスを持ち、グループチャットにも対応しています。

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Git

Gitはオープンソースの分散バージョン管理システム(DVCS)です。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

0回答

0グッド

0クリップ

221閲覧

投稿2022/10/17 10:29

編集2022/10/17 10:34

前提

DjangoでLINEBOTの開発をしているのですがエラーが出てしまいサーバーを起動できません。
外部環境はngrokを使っていますがLINEのWebhook設定で検証しても400エラーが返ってきます。
Djangoに関して初心者のため説明不足でしたらすみません。

実現したいこと

  • サーバーをたちあげ200レスポンスを返したい

発生している問題・エラーメッセージ

$ python3 manage.py runserver Traceback (most recent call last): File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/core/management/base.py", line 402, in run_from_argv self.execute(*args, **cmd_options) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/core/management/commands/runserver.py", line 74, in execute super().execute(*args, **options) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/core/management/base.py", line 448, in execute output = self.handle(*args, **options) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/core/management/commands/runserver.py", line 81, in handle if not settings.DEBUG and not settings.ALLOWED_HOSTS: File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/conf/__init__.py", line 92, in __getattr__ self._setup(name) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/conf/__init__.py", line 79, in _setup self._wrapped = Settings(settings_module) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/conf/__init__.py", line 190, in __init__ mod = importlib.import_module(self.SETTINGS_MODULE) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/importlib/__init__.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1050, in _gcd_import File "<frozen importlib._bootstrap>", line 1027, in _find_and_load File "<frozen importlib._bootstrap>", line 992, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed File "<frozen importlib._bootstrap>", line 1050, in _gcd_import File "<frozen importlib._bootstrap>", line 1027, in _find_and_load File "<frozen importlib._bootstrap>", line 1004, in _find_and_load_unlocked ModuleNotFoundError: No module named 'yorimichi_bot_1' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/Users/s/r/pf/yorimichi-bot/yorimichi_bot_1/manage.py", line 22, in <module> main() File "/Users/s/r/pf/yorimichi-bot/yorimichi_bot_1/manage.py", line 18, in main execute_from_command_line(sys.argv) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/core/management/__init__.py", line 446, in execute_from_command_line utility.execute() File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/core/management/__init__.py", line 440, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/core/management/base.py", line 415, in run_from_argv connections.close_all() File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/utils/connection.py", line 84, in close_all for conn in self.all(initialized_only=True): File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/utils/connection.py", line 76, in all return [ File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/utils/connection.py", line 73, in __iter__ return iter(self.settings) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/utils/functional.py", line 57, in __get__ res = instance.__dict__[self.name] = self.func(instance) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/utils/connection.py", line 45, in settings self._settings = self.configure_settings(self._settings) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/db/utils.py", line 148, in configure_settings databases = super().configure_settings(databases) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/utils/connection.py", line 50, in configure_settings settings = getattr(django_settings, self.settings_name) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/conf/__init__.py", line 92, in __getattr__ self._setup(name) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/conf/__init__.py", line 79, in _setup self._wrapped = Settings(settings_module) File "/Users/s/r/pf/yorimichi-bot/venv/lib/python3.10/site-packages/django/conf/__init__.py", line 190, in __init__ mod = importlib.import_module(self.SETTINGS_MODULE) File "/Library/Frameworks/Python.framework/Versions/3.10/lib/python3.10/importlib/__init__.py", line 126, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "<frozen importlib._bootstrap>", line 1050, in _gcd_import File "<frozen importlib._bootstrap>", line 1027, in _find_and_load File "<frozen importlib._bootstrap>", line 992, in _find_and_load_unlocked File "<frozen importlib._bootstrap>", line 241, in _call_with_frames_removed File "<frozen importlib._bootstrap>", line 1050, in _gcd_import File "<frozen importlib._bootstrap>", line 1027, in _find_and_load File "<frozen importlib._bootstrap>", line 1004, in _find_and_load_unlocked ModuleNotFoundError: No module named 'yorimichi_bot_1'

該当のソースコード

Python

1yorimichi_bot_1/yorimichibot/urls.py 2 3from django.urls import path 4from . import views 5 6urlpatterns = [ 7 path('', views.index, name='callback'), 8]

Python

1yorimichi_bot_1/urls.py 2 3from django.contrib import admin 4from django.urls import include, path 5 6urlpatterns = [ 7 path('yorimichibot/', include('yorimichibot.urls')), 8 path('admin/', admin.site.urls), 9]

試したこと

linebot-sdkがインストールされてるかどうか→されている
venvの仮想環境が有効化されているか→されている

補足情報(FW/ツールのバージョンなど)

参考サイト
(https://qiita.com/njn0te/items/d717840dc2addeae6439)
(https://qiita.com/yakan10/items/b7ad35c2cbba5db81462)
MacOS python3.10.8

以下のような質問にはグッドを送りましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

グッドが多くついた質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

まだ回答がついていません

会員登録して回答してみよう

アカウントをお持ちの方は

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.02%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

LINE Messaging API

LINE Messaging APIは、メッセージの送信・返信ができるAPIです。Web APIを経由しアプリケーションサーバとLINEのAPIでやり取りが可能。複数のメッセージタイプや分かりやすいAPIリファレンスを持ち、グループチャットにも対応しています。

Django

DjangoはPythonで書かれた、オープンソースウェブアプリケーションのフレームワークです。複雑なデータベースを扱うウェブサイトを開発する際に必要な労力を減らす為にデザインされました。

Git

Gitはオープンソースの分散バージョン管理システム(DVCS)です。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。